<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Projects/Transfection2018/UserFns/sampleWOLS.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_7a6499598ddcfcabe96e224cb4a6d834.html">Projects</a></li><li class="navelem"><a class="el" href="../../dir_947b0bade59f2ec1a3d6dcc5254e948b.html">Transfection2018</a></li><li class="navelem"><a class="el" href="../../dir_7a5ad7d5dca3599a31868c2bbca96b8c.html">UserFns</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">sampleWOLS.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d20/_transfection2018_2_user_fns_2sample_w_o_l_s_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;%</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;% @brief <a class="code" href="../../d9/d31/_llamosi2016_2_user_fns_2sample_w_o_l_s_8m.html#a3162c9ca8db18e728617e0f6a1e154ef">sampleWOLS</a> is the objective <span class="keyword">function</span> used to sample the posterior</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;% distribution of parameters</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;% @params t time vector </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;% @params kinetic_params vector of parameters to be passed to the simulation</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;% @params measurement_noise estimated measurement standard deviation terms, a vector or matrix <span class="keywordflow">for</span> the single cell pop_params</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;% @params d data <span class="keywordflow">for</span> the cell, a table</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;% @params int_opts options used <span class="keywordflow">for</span> simulation, a structure</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;% </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;% @retval value of the objective <span class="keyword">function</span>, log likelihood</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="../../d1/d20/_transfection2018_2_user_fns_2sample_w_o_l_s_8m.html#a3162c9ca8db18e728617e0f6a1e154ef">   13</a></span>&#160;<span class="keyword">function</span>   res=<a class="code" href="../../d9/d31/_llamosi2016_2_user_fns_2sample_w_o_l_s_8m.html#a3162c9ca8db18e728617e0f6a1e154ef">sampleWOLS</a>(t,kinetic_params,measurement_noise,pop_params,d,int_opts)</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;h=measurement_noise;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;% Only use the result <span class="keywordflow">if</span> ODE integration did not fail.</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;if (any(h(:)==Inf)||sum(log(h(:))==-Inf)||~any(isreal(log(h(:)))))</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    res=-Inf;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keywordflow">else</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    [~,f_t]=<a class="code" href="../../d7/df5/_projects_2_llamosi2016_2_user_fns_2call_simulation_8m.html#a675cf3332f7c9140d55c01870b188396">callSimulation</a>(t,kinetic_params,[],[],int_opts);</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    n_obs=unique(d.YID);</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    res_obs=zeros(1,length(n_obs));</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keywordflow">for</span> obs_id=1:length(n_obs)</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        d_obs=d.Y(d.YID==n_obs(obs_id));</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        nonans=~isnan(d_obs);               % Are there NaN values in data?</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;        res_obs(obs_id)=-0.5.*(d_obs(nonans)-f_t(nonans,obs_id))<span class="stringliteral">&#39;...</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="stringliteral">            *(diag((1./h(nonans,(obs_id))).^2))...</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="stringliteral">            *(d_obs(nonans)-f_t(nonans,(obs_id)));</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="stringliteral">    end</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="stringliteral">    p_y_betai=sum(res_obs);</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="stringliteral">    </span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="stringliteral">    if isempty(pop_params)</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="stringliteral">        p_betai_popparams=0;</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="stringliteral">    else</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="stringliteral">        p_betai_popparams=-0.5.*(kinetic_params-pop_params.mean)*getStableInverse(pop_params.covar)*(kinetic_params-pop_params.mean)&#39;</span>;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    end</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    res=p_y_betai+p_betai_popparams;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;end</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="a_projects_2_llamosi2016_2_user_fns_2call_simulation_8m_html_a675cf3332f7c9140d55c01870b188396"><div class="ttname"><a href="../../d7/df5/_projects_2_llamosi2016_2_user_fns_2call_simulation_8m.html#a675cf3332f7c9140d55c01870b188396">callSimulation</a></div><div class="ttdeci">function callSimulation(in varargin)</div></div>
<div class="ttc" id="a_llamosi2016_2_user_fns_2sample_w_o_l_s_8m_html_a3162c9ca8db18e728617e0f6a1e154ef"><div class="ttname"><a href="../../d9/d31/_llamosi2016_2_user_fns_2sample_w_o_l_s_8m.html#a3162c9ca8db18e728617e0f6a1e154ef">sampleWOLS</a></div><div class="ttdeci">function sampleWOLS(in t, in kinetic_params, in measurement_noise, in pop_params, in d, in int_opts)</div><div class="ttdoc">%&gt;</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
